<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
<%@ page session="true" %>

<% request.setCharacterEncoding("utf-8");%>

 <html>
 <head>
 </head>
 <body>
  
  
  
  
  
  
  
  
  
  
 
  
  
  <h2> 회원목록</h2>
  
<table border=1>

<tr>
<th>아이디</th>
<th>패스워드</th>
<th>이름</th>
 
</tr>

<%
ResultSet rs=null;

try{
	 
	   Class.forName("oracle.jdbc.driver.OracleDriver");
		Connection conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","yoon","1234");
		PreparedStatement pstmt=conn.prepareStatement("select * from o_member") ;
		rs=pstmt.executeQuery();
		
		while(rs.next()){
			String id=rs.getString("id");
			String password=rs.getString("password");
			String name=rs.getString("name");
			 
			
			%>
			
			<tr>
			<td><%= id %></td>
			<td><%= password %></td>
			<td><%= name %></td>
			 
			
			</tr>
			
			
			
		<% }
}catch(Exception e){ 
		e.printStackTrace();
}
%>
</table>
<p>
<a href="http://localhost:8080/S20172304_0528/LOGIN/loginForm.jsp">로그인  click here!</a>
<p>
 

 
</body>
</html>